import request from '@/utils/request'

export function index(params,isLoading=true){
  return request({
    isLoading,
    method:'get',
    url:'/api/admin/merchant/index',
    params
  })
}

export function store(data){
  return request({
    method:'post',
    url:'/api/admin/merchant/store',
    data
  })
}

export function show(params){
  return request({
    method:'get',
    url:'/api/admin/merchant/show',
    params
  })
}

export function save(data){
  return request({
    method:'post',
    url:'/api/admin/merchant/save',
    data
  })
}

export function destroy(params){
  return request({
    method:'get',
    url:'/api/admin/merchant/destroy',
    params
  })
}
